# Create a user in the account

Launch stage: Beta

`POST /api/2.0/identity/accounts/{account_id}/users`

Creates a local user in the Databricks account and returns the created user. A local user is
 one that is not synced from the customer's identity provider, and can be created whether or not
 Account Identity Management (AIM) is enabled.

 When AIM is enabled, supplying an external ID returns an error. To provision the identity from
 your identity provider, resolve it by its external ID with ResolveUser; to read an existing
 external identity, use the ExternalUser resource.

API scopes: identity

## Path parameters

- `account_id` (string, required)
  Required. The account ID for which the user is being created.

## Request body

Required. User to be created in Databricks
- `external_id` (string, optional)
  ExternalId of the user in the customer's IdP.
- `username` (string, required, Immutable)
  Username/email of the user.
- `full_name` (object, required)
  - `given_name` (string, optional)
  - `family_name` (string, optional)
- `account_user_status` (string, required)
  The activity status of a user in a Databricks account.
  Possible values:
  - `STATE_UNSPECIFIED`
  - `ACTIVE`
  - `INACTIVE`

## Returns

Returns the User object.

## Response

```json
{
  "account_id": "string",
  "user_id": "string",
  "external_id": "string",
  "username": "string",
  "full_name": {
    "given_name": "string",
    "family_name": "string"
  },
  "account_user_status": "ACTIVE"
}
```

